# eth-o-axe
Ethernet over coaxial cable.  There are already standards for this, the most popular is MoCA or Media over Coax, a standard created by Entronic Communications around 2001.  This company specializes in fabless IC design and produces various set-top-box and modem systems which are meant for selling to media service providers who then sell them to consumers.  There is a bit of confusion due to sales of equipment being sold twice.  Companies in the US, like DirecTV and Verizon buy this equipment then basically lie to their customers about the capabilities of the equipment.  They publish information about how one might mount the equipemnt but absolutely nothing about what is inside the equipment, or how it works.  The whole situation stinks, but fortunately for me there is an upside.  Due to the misinformation about what this equipment can do and the widespread adoption of the equipment has caused a flood of used and unused inventory to appear on sites like eBay for costs that are ridiculously low.  I have limited knowledge about these devices, but I will detail what I know as I build what I am calling eth-o-axe, my home network compromise.

# hardware
I am going to repurpose DirecTV's MoCA devices.  I bought a new box of these devices, I purchased them in 2021 October, they were assembled in June of that year.  I paid about $80 for 48 devices.  DirecTV calls them DECA or DirecTV Ethernet Coaxial Adapter.  The individual devices just say "Connected Home Adapter".  I purchased device model DCAU1R0-01.  This device has a PCB revision date of 2014 August 8th.  The PCB has an Entronic 2852 Controller IC, another Entronic branded IC under the shield, which I assume is a transciever, a RealTek RTL8201F "Ethernet PHYCEIVER", and a bunch of switch mode power DC/DC converters.  The power is either a USB generic HID device, or a 12V barrel jack.  I mention that one of the power options is a USB HID device, this is because it annoyingly will not power up with a micro USB power source, unless that source is also a USB host device, so pretty much only if the  power source is a computer.  In my opinion this is pretty dumb.

The device has an RJ-45 connector to connect Ethernet cables, and a Coaxial F-type connector to connect RG-6 Coax.  I am unsure what the device's intended purpose is, but I think it had something to do with providing internet access to older DirecTV set-top-boxes.

I found that there were three smps dcdc converters.  The first on comes off the 12V DC-in, I did not test it but initially from internet research I think this one generates an 8V rail.  This rail only optionally provides power to the 5V and 3V dcdc converters, the other two smps dcdc converters on the pcb.  There is a clear plastic lockout that only allows end-users to power via either the 12V barrel or micro-USB connector.  I applied 12V to the barrel jack directly and the device powered up.  I also applied 20.5V and got the same results.  When I put 27V the reverse polarity protection diode, D1 when up in flames.  It failed short and the device continued to operate!  Wow!  I think that the way that I applied power must have caused damage to D1 becuase I am not sure why it failed.  I did not reverse polarity, but there is a chance that because I had the coaxial center conductor connected to the 12V input rail that contact bounce caused giant negative inductive spikes on the 12V rail, more on that later.

Entronic apparently had a bunch of engineers, they must have fired everyone cause they sold all of the intellectual property and stopped innovating a long time ago.  They were purchased in 2015 by MaxLinear.  MaxLinear really made a bunch of their money in China, by holding off the need to upgrade infrastructure to the superior twisted pair, many operations were able to continue using coaxial wiring.  The systems are sold to the service providers as c.Link, I am not super sure why, but everything that is part of the system is described under this umbrella term.

## 48.J7AOU.0GA 2014/08/08 - DCAU1R0-01
I want to power these up using a single power supply and have the devices connected near the router/switch be connected to this power supply.  I want the remote ends to run without a power supply.  I plan to put a DC offset on the coaxial cable and inject the MoCA signal on top of that.  The devices that I have may send 450-650MHz signals, not verified.

### 12V supply tests
I got these to power up with one end powered and the other end using phantom power using three methods

The first was using 220uH axial inductors as bias tees and a pair of 12V SLA batteries powering one end.  The about 26V caused the diode D60 to vaporize on the end nearest the batteries.  The high resistance of the inductors, about 10 ohms, caused the remote end to be around 20V.  The devices connected to each other and I was able to test the ethernet over coaxial successfully.

The second attempt I tried to just use 12V so that I would not blow out the TVS diode at D60.  Instead of an inductor at the battery end, I used a bias tee that I pulled from a DirecTV Low Noise Block 21V power injector.  After removing the bias tee from the power injector I soldered a single 12V SLA battery to it and was able to power both and test successfully.

The third attempt was hard won, I spent some time trying to build a bias tee inside of the shielded area of the DCAU1R0-01.  I tried several axial inductors unsucessfully.  I tried several surface mount inductors unsucessfully.  I tried surface mount inductors with 500MHz self resonant frequency, and 1GHz self resonant frequency inductors.  I found none of these to work, but then tried a 500MHz and 1GHz SRF surface mount inductors in series, this worked.

### 5V supply tests
I tried to plug a microUSB cable into the device using Aukey PB-N28 12000mAh power bank, the MoCA device did not power up.  VBUS test point reads 5.1, the USB-DET shows 0V, the 5V test point shows 0V.
I tried to plug a microUSB cable into the device using Anker 40W 71AN7105 usb power adapter, the MoCA device did not power up.  VBUS test point reads 5.1, the USB-DET shows 0V, the 5V test point shows 0V.
I tried to solder separate 15K ohm resistors to the USB data lines pulled to ground, the MoCA device did not power up.  VBUS test point reads 5.1, the USB-DET shows 0V, the 5V test point shows 0V.

Plugging into a laptop, the device powered up.  It looks like it is powering up after it enumerates with only a USB host device.  It may only power up under Standard Downstream Port (SDP) defined by USB 2.0 specification.  SDP requires data lines to be separately grounded via 15K ohm resistors and must be able to enumerate.  Trying to get the device to power up with the laptop sleeping did not work.  The laptop was a Windows computer that detected the device as some kind of generic HID device.

There is a qfn16 MCU near that 5 pin socket.  The square pin is 5V, then GND, then XRES, then I2C SCL (P1[1]), then I2C SDA (P1[0]).  They connect to a CY7C64315 enCoRe V USB device.  Probing shows that this is most likely what is causing the problems that I am working on.  The USB-DET line, has a 10K ohm pulldown.  When plugged into a USB SDP it goes high, this comes from the MCU digital pin 10 (P1[4]).  This pin has a zero ohm resistor that I think I can remove the resistor and then bring the line up with a resistor.

# improvements to MoCA
The hardware that I purchased seems capable of capturing ethernet frames, encoding them, multiplexing them under some scheme, then demultiplexing them, decoding them, then retransmitting them on ethernet all in around several milliseconds.  The total usable bandwidth provided to the ethernet PHY is documented as 175 Megabits per second.  This is nearly enough to be comparable to 10/100 ethernet with somewhat high latency.  To be fair, the latency is okay, I mean it is terrible considering that the signal is propogating at 178 miles per millisecond and yet the coaxial cable is only tens of feet in length, but whatever, it takes some time to copy data between integrated circuits.  The RealTek proclaimed PHYciever or whatever is a 10/100 speed device so this hardware might be limited by the choice of that IC.  This is not a big problem, I am just documenting it.

The device consumes power, I do not want two power adapters and three wires per device.  The coax and ethernet must stay, and they are "inline" so do not even present that much clutter.  The power though, I can bias the coax then use that to power each device.  I think that these devices will normally channelize, but they would probably share the bandwidth if only one source ethernet device was connected to the shared network, instead I will isolate each coaxial cable and provide each with a pair of modems, just like an internet service provider.  Then to cut down power sources, the devices at the ISP end, eg: where all the coaxial cables normally terminate in one location, I will bias all coaxial cables with the same DC power source.  To prevent crosstalk of the pairs, each coaxial cable will be connected to the power source through an rf-choke inductor.  To prevent the contact bounce that I think I had during testing, the ground will be connected to the 12V input using a reversed diode.  This will act as a negative clamp by allowing current to flow from the ground to the 12V rail when there is a voltage present that is less than -0.6V.

# blame the customer
This is mostly a list of made up words that AT&T / DirecTV use to confuse customers.  They could just use industry standard language, but they choose to make up purposefully confusing jargon to maintain control by diffusing any groups that might gain knowledge by collecting and analyzing information about devices and services that they sell.  I believe this is action actually is self harming for AT&T, but I have seen some employees gain from this type of misinformation.  It could be as simple as using the jargon as an excuse to leave an undesireable jobsite, or not wanting to explain something complex to an end-user out of lazyness.  Whatever the reason, this jargon has made it to the real world in product labeling and into customer service troubleshooting procedures.

MoCA - Media over Coax, I mean come on, they cannot even get the acronym correct.  What did it used to mean?  This is a closed standard, it has recieved approval from the FCC and internationally, and provides frequency bands of 450MHz to 850MHz and 1150MHz to 1635MHz.  Both bands are channelized into 25MHz subdivisions.  To answer that question about the 'A', it is Alliance, MoCA used to be Media over Coax Alliance.  Lol.  It is an "alliance", not a standard, obviously.
DECA - AT&T and DirecTV being confusing and calling their software restricted MoCA frequency band by a different name.  They then told people that DECA is hardware to further confusion.  Lol.
SWiM - Single Wire Multiswitch.  What does the 'i' stand for?  This is just dumb.  It describes some undocumented way for paired transievers to select a communication channel.  Single wire refers to coaxial cable, and multiswitch is like a switch, but multi, you know, like a dumb person talking about something dumb.
SWM - See SWiM.  This is just here to make more confusion.
ODU - Outdoor Unit.  Crap that is amazing.  I think it refers to customer premise equipment that AT&T and DirecTV want to have the customer responsible for, but they cannot really do that, but they really want to, but they cannot.  Think reciever dish.
LNB - Low Noise Block.  Block of cheese?  What?  It is a bunch of devices integrated into the dish horn, includes a powered amplifier, a controller that possibly selects channelized frequency subdivision for trancievers, a satallite reciever.
IRD - Integrated Reciever and Decoder.  They must be real proud of this one.  It is like a magical thing that has both magic and magic inside.  What the hell is the point of a reciever if it does not decode what it is recieving?  What is a hardware decoder if it has no source?  They are both nothing.  Humph.
